#
# TODO: Check INDI interface (anyone with telescope?), probably change
#	fifo dir (/usr/share/xephem/fifo) as it needs to be writeable.
#	And how it cooperates with http://indi.sf.net?
#	Consider using system-wide libjpeg instead of shipped libjpegd
#
Summary:	Interactive astronomy program
Summary(pl.UTF-8):	Interaktywny program astronomiczny
Name:		xephem
Version:	3.7.4
Release:	4
License:	distributable with free-unices distros, free for non-profit non-commercial purposes
Group:		X11/Applications/Science
Source0:	http://97.74.56.125/free/%{name}-%{version}.tar.gz
# Source0-md5:	4e9290609f36df469a2ba5a1b4fffd46
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}_sites
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-format.patch
URL:		http://www.clearskyinstitute.com/xephem/
BuildRequires:	groff
BuildRequires:	libpng-devel
BuildRequires:	motif-devel
BuildRequires:	sed >= 4.0
Requires:	xorg-lib-libXt >= 1.0.0
Obsoletes:	xephem-doc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	/usr/share/X11/app-defaults

%description
XEphem \eks-i-'fem\ n. [X Window + Ephemeris] (1990)
XEphem is a star-charting, sky-simulating, ephemeris-generating
celestial virtuoso.

%description -l pl.UTF-8
XEphem \eks-i-'fem\ n. [X Window + Ephemeris] (1990)
XEphem jest programem sporządzającym mapę gwiazd, symulującym niebo,
efemerydalnie generującym sferę niebieską wirtuozem. Udostępnia wiele
informacji o satelitach Ziemi, Układzie Słonecznym i odległych
obiektach astronomicznych, w formie graficznej i liczbowej, w układzie
geocentrycznym, heliocentrycznym i topocentrycznym.

%package tools
Summary:	Additional tools for use with XEphem
Summary(pl.UTF-8):	Dodatkowe narzędzia dla XEphema
Group:		X11/Applications/Science
Requires:	%{name} = %{version}-%{release}

%description tools
astorb2edb - convert astorb.txt to 2 .edb files,
mpcorb2edb - convert MPCORB.DAT to 2 .edb files,
INDI - tools for connecting telescope using INDI interface,
lx200xed - a daemon to connect XEphem to a Meade LX200 telescope,
xedb - tool to generate ephemeris data from .edb files,
XEphemdbd - filter to find astronomical objects within a given
	    field of view.

%description tools -l pl.UTF-8
astorb2edb - konwertuje astorb.txt do 2 plików .edb,
mpcorb2edb - konwertuje MPCORB.DAT do 2 plików .edb,
INDI - narzędzia do podłączenia teleskopu za pomocą interfejsu INDI,
lx200xed - demon do połączenia XEphema z teleskopem Meade LX200,
xedb - narzędzie do generowania danych efemerycznych z plików .edb,
XEphemdbd - filtr do odnajdywania obiektów astronomicznych wg zadanych
	    pól opisu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

sed -i "s#X11R6/lib#X11R6/%{_lib}#g" GUI/xephem/Makefile
sed -i "s#/usr/local#%{_datadir}#g" GUI/xephem/tools/xephemdbd/start-xephemdbd.pl

mv GUI/xephem/tools/indi/README GUI/xephem/tools/indi/README-indi
mv GUI/xephem/tools/lx200xed/README GUI/xephem/tools/lx200xed/README-lx200xed
mv GUI/xephem/tools/xedb/README GUI/xephem/tools/xedb/README-xedb
mv GUI/xephem/tools/xephemdbd/README GUI/xephem/tools/xephemdbd/README-xephemdbd
mv -f Copyright LICENSE

cat %{SOURCE3} >> GUI/xephem/auxil/xephem_sites

%build

# build these libraries first in order to have CFLAGS passed
%{__make} -C libastro \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%{__make} -C libip \
	CC="%{__cc}" \
	CFLAGS="-I../libastro %{rpmcflags}"

%{__make} -C libjpegd \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%{__make} -C liblilxml \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

cd GUI/xephem

%{__make} \
	CC="%{__cc}" \
	CLDFLAGS="%{rpmcflags}"

%{__make} -C tools/lx200xed \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I../../../../libastro"

%{__make} -C tools/xephemdbd \
	CC="%{__cc}" \
	CFLAGS="-ffast-math %{rpmcflags} -I../../../../GUI/xephem -I../../../../libastro -I../../../../libip"

%{__make} -C tools/xedb \
	CC="%{__cc}" \
	CFLAGS="-ffast-math %{rpmcflags} -I../../../../libastro"

%{__make} -C tools/indi \
	CC="%{__cc}" \
	CFLAGS="-ffast-math %{rpmcflags} -I../../../../liblilxml -I../../../../libastro -I../../../../libip"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name},%{_mandir}/man1} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_appdefsdir}}

install GUI/xephem/xephem $RPM_BUILD_ROOT%{_bindir}
cp -a GUI/xephem/auxil $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/catalogs $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/fifos $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/fits $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/gallery $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/help $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/lo $RPM_BUILD_ROOT%{_datadir}/%{name}

install GUI/xephem/xephem.man $RPM_BUILD_ROOT%{_mandir}/man1/xephem.1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
echo XEphem.ShareDir: %{_datadir}/%{name} > $RPM_BUILD_ROOT%{_appdefsdir}/XEphem

# INDI drivers
install GUI/xephem/tools/indi/cam $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/indi/ota $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/indi/security $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/indi/tmount $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/indi/wx $RPM_BUILD_ROOT%{_bindir}

install GUI/xephem/tools/indi/evalINDI $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/indi/getINDI $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/indi/indiserver $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/indi/setINDI $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/lx200xed/lx200xed $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/xedb/xedb $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/xephemdbd/xephemdbd $RPM_BUILD_ROOT%{_bindir}
# xephemdbd.html and xephemdbd.pl are used for WWW interface to xephemdbd
# one can make http server subpackage
install GUI/xephem/tools/xephemdbd/start-xephemdbd.pl $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/auxil/*.pl $RPM_BUILD_ROOT%{_bindir}

install GUI/xephem/tools/indi/evalINDI.man $RPM_BUILD_ROOT%{_mandir}/man1/evalINDI.1
install GUI/xephem/tools/indi/getINDI.man $RPM_BUILD_ROOT%{_mandir}/man1/getINDI.1
install GUI/xephem/tools/indi/indidevapi.man $RPM_BUILD_ROOT%{_mandir}/man1/indidevapi.1
install GUI/xephem/tools/indi/indiserver.man $RPM_BUILD_ROOT%{_mandir}/man1/indiserver.1
install GUI/xephem/tools/indi/setINDI.man $RPM_BUILD_ROOT%{_mandir}/man1/setINDI.1

install GUI/xephem/tools/indi/*.fts $RPM_BUILD_ROOT%{_datadir}/%{name}/fits

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE
%attr(755,root,root) %{_bindir}/xephem
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_appdefsdir}/*
%{_mandir}/man1/xephem.1*

%files tools
%defattr(644,root,root,755)
%doc GUI/xephem/tools/indi/README-indi GUI/xephem/tools/lx200xed/README-lx200xed
%doc GUI/xephem/tools/xedb/README-xedb GUI/xephem/tools/xephemdbd/README-xephemdbd

%attr(755,root,root) %{_bindir}/*
%exclude %{_bindir}/xephem
%{_mandir}/man1/*
%exclude %{_mandir}/man1/xephem.1*
%changelog
* Mon Nov 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xephem.git;a=log;h=master

* Mon Nov 04 2013 Kacper Kornet <draenog@pld-linux.org> 2fbefd6
- fix building with -Werror=format-security

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> fcf55fb
- s/openmotif/motif/

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> aeb35ee
- release 3 (by relup.sh)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f0a401
- release 2

* Wed Aug 25 2010 Tomasz Pala <gotar@pld-linux.org> 568c4dd
- upgraded to 3.7.4

* Sun Jan 31 2010 sparky <sparky@pld-linux.org> bb9922f
- BR: libpng-devel

* Sat Jan 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 8a62eaf
- release 3

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> bb649b1
- drop obsolete files

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 14de0a8
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Wed Nov 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 8a60c26
- rel 2

* Thu Aug 30 2007 Tomasz Pala <gotar@pld-linux.org> a0e5c73
- upgraded to 3.7.2,
- fixed passing CFLAGS, use system libpng and zlib,
- BR: groff

* Thu Aug 30 2007 Tomasz Pala <gotar@pld-linux.org> f0004c2
- updated to 3.7.2, use system libpng and zlib

* Thu Aug 30 2007 Tomasz Pala <gotar@pld-linux.org> c70b31d
- fixed to match libastro

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e2718d6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b08b509
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> e060e31
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Tue Aug 29 2006 havner <havner@pld-linux.org> 09276eb
- proper category

* Wed Aug 23 2006 Jakub Bogusz <qboosh@pld-linux.org> e9fd7e3
- app-defaults in /usr/share require libXt >= 1.0.0

* Wed Aug 23 2006 Elan Ruusamäe <glen@pld-linux.org> 7e67316
- no extra slash

* Wed Aug 23 2006 havner <havner@pld-linux.org> 9718f2f
- _appdefsdir for TH
- rel 3

